/*
 * The contents of this file are subject to the terms 
 * of the Common Development and Distribution License 
 * (the License).  You may not use this file except in
 * compliance with the License.
 * 
 * You can obtain a copy of the license at 
 * https://glassfish.dev.java.net/public/CDDLv1.0.html or
 * glassfish/bootstrap/legal/CDDLv1.0.txt.
 * See the License for the specific language governing 
 * permissions and limitations under the License.
 * 
 * When distributing Covered Code, include this CDDL 
 * Header Notice in each file and include the License file 
 * at glassfish/bootstrap/legal/CDDLv1.0.txt.  
 * If applicable, add the following below the CDDL Header, 
 * with the fields enclosed by brackets [] replaced by
 * you own identifying information: 
 * "Portions Copyrighted [year] [name of copyright owner]"
 * 
 * Copyright 2006 Sun Microsystems, Inc. All rights reserved.
 */

/*
 * DynamicReconfiguratorTest.java
 * JUnit based test
 *
 * Created on April 1, 2004, 5:04 PM
 */

package com.sun.enterprise.admin.monitor.registry.spi.reconfig;

import com.sun.enterprise.admin.monitor.registry.StatsHolder;
import com.sun.enterprise.admin.monitor.registry.MonitoredObjectType;
import com.sun.enterprise.admin.monitor.registry.MonitoringLevel;
import com.sun.enterprise.admin.monitor.registry.MonitoringLevelListener;
import com.sun.enterprise.admin.monitor.registry.spi.ValueListMap;
import junit.framework.*;

/**
 *
 * @author Rob
 */
public class DynamicReconfiguratorTest extends TestCase {
    
    public DynamicReconfiguratorTest(java.lang.String testName) {
        super(testName);
    }
    
    public static Test suite() {
        TestSuite suite = new TestSuite(DynamicReconfiguratorTest.class);
        return suite;
    }
    
    /**
     * Test of addListener method, of class com.sun.enterprise.admin.monitor.registry.spi.reconfig.DynamicReconfigurator.
     */
    public void testAddListener() {
        System.out.println("testAddListener");
        fail("The test case is empty.");
    }
    
    /**
     * Test of removeListener method, of class com.sun.enterprise.admin.monitor.registry.spi.reconfig.DynamicReconfigurator.
     */
    public void testRemoveListener() {
        System.out.println("testRemoveListener");
        fail("The test case is empty.");
    }
    
    /**
     * Test of handleChange method, of class com.sun.enterprise.admin.monitor.registry.spi.reconfig.DynamicReconfigurator.
     */
    public void testHandleChange() {
        System.out.println("testHandleChange");
        fail("The test case is empty.");
    }
    
    public static void main(java.lang.String[] args) {
        junit.textui.TestRunner.run(suite());
    }
    
    // TODO add test methods here, they have to start with 'test' name.
    // for example:
    // public void testHello() {}
    
    
}
